apiVersion: kubevirt.io/v1
kind: VirtualMachineInstanceMigration
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2025-11-14T04:42:33Z"
  generateName: kubevirt-migrate-vm-
  generation: 1
  labels:
    kubevirt.io/vmi-name: rhel9-based-rhcos10-node
  name: kubevirt-migrate-vm-87n4r
  namespace: siwang
  resourceVersion: "2305449"
  uid: 643eaa2e-69a3-417d-a582-7118b948ef04
spec:
  vmiName: rhel9-based-rhcos10-node
status:
  migrationState:
    endTimestamp: "2025-11-14T04:42:44Z"
    failed: true
    failureReason: 'virError(Code=1, Domain=7, Message=''internal error: client socket
      is closed'')'
    migrationConfiguration:
      allowAutoConverge: false
      allowPostCopy: false
      allowWorkloadDisruption: false
      bandwidthPerMigration: "0"
      completionTimeoutPerGiB: 150
      nodeDrainTaintKey: kubevirt.io/drain
      parallelMigrationsPerCluster: 5
      parallelOutboundMigrationsPerNode: 2
      progressTimeout: 150
      unsafeMigrationOverride: false
    migrationUid: 643eaa2e-69a3-417d-a582-7118b948ef04
    mode: PreCopy
    sourceNode: cnv-qe-infra-19.cnvqe2.lab.eng.rdu2.redhat.com
    sourcePod: virt-launcher-rhel9-based-rhcos10-node-j9x7z
    startTimestamp: "2025-11-14T04:42:41Z"
    targetDirectMigrationNodePorts:
      "34931": 0
      "38661": 49152
      "42399": 49153
    targetNode: cnv-qe-infra-18.cnvqe2.lab.eng.rdu2.redhat.com
    targetNodeAddress: 10.129.2.60
    targetNodeDomainDetected: true
    targetPod: virt-launcher-rhel9-based-rhcos10-node-jrsj6
  phase: Failed
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2025-11-14T04:42:33Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2025-11-14T04:42:33Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2025-11-14T04:42:40Z"
  - phase: PreparingTarget
    phaseTransitionTimestamp: "2025-11-14T04:42:41Z"
  - phase: TargetReady
    phaseTransitionTimestamp: "2025-11-14T04:42:41Z"
  - phase: Running
    phaseTransitionTimestamp: "2025-11-14T04:42:41Z"
  - phase: Failed
    phaseTransitionTimestamp: "2025-11-14T04:42:44Z"
